#Called by advancement consume_potion.json when player drinks a potion from the potion bag


data remove storage lordphenex:potion_bag Potion


tag @s add lordphenex.potion_bag.drinker

#Getting potion bag data
execute if data entity @s {SelectedItem:{id:"minecraft:potion"}} run tag @s add lordphenex.potion_bag.mainhand
execute if data entity @s[tag=!lordphenex.potion_bag.mainhand] {Inventory:[{id:"minecraft:potion",Slot:-106b}]} run tag @s add lordphenex.potion_bag.offhand


execute if entity @s[tag=lordphenex.potion_bag.mainhand] run data modify storage lordphenex:potion_bag Potion.potions set from entity @s SelectedItem.tag.lordphenex.potions
execute if entity @s[tag=lordphenex.potion_bag.offhand] run data modify storage lordphenex:potion_bag Potion.potions set from entity @s Inventory.[{id:"minecraft:potion",Slot:-106b}].tag.lordphenex.potions

tellraw @s[tag=lordphenex.debug] {"nbt":"Potion","storage":"lordphenex:potion_bag"}
tellraw @s[tag=lordphenex.debug] {"nbt":"Tags","entity":"@s"}

scoreboard players add PotionID LP_Potion_Bag 1
scoreboard players operation @s LP_Potion_Bag = PotionID LP_Potion_Bag
summon marker ~ ~ ~ {Tags:[lordphenex.potion_bag.marker,lordphenex.potion_bag.marker.new]}
execute as @e[type=marker,tag=lordphenex.potion_bag.marker.new,limit=1] run function lordphenex:potion_bag/drink/marker


schedule function lordphenex:potion_bag/drink/scheduled_give_potion 1t append


data remove storage lordphenex:potion_bag Potion

advancement revoke @s only lordphenex:potion_bag/consume_potion